<?php
namespace Wp618\Database;
?>

<div class="wrap">
    <h1>数据库预览</h1>
    <hr class="wp-header-end">

    <style>
        span[data-type]{
            cursor: pointer;
        }
    </style>

    <form id="posts-filter" method="get">
        <?php
        foreach ($_GET as $key => $val){
            if($key == 'paged'){
                continue;
            }
            echo '<input type="hidden" name="' . esc_attr($key) . '" value="' . esc_attr($val) . '">';
        }
        ?>
        <div class="tablenav top" style="display:none">
            <div class="alignleft actions bulkactions">
                <input type="hidden" name="action" value="<?php echo $action; ?>">
                <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
            </div>
            <br class="clear">
        </div>

        <table class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
            <tr>
                <th scope="col" class="manage-column column-primary desc" style="width:50px">
                    <strong>序号</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>表名</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>引擎</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>行数</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>数据大小</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>索引长度</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>Data Free</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>主键自增长</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>字符集</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>创建时间</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>更新时间</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>备注</strong>
                </th>
            </tr>
            </thead>

            <tbody id="the-list">
            <?php
            $id = 1;
            foreach ($list as $item){
                echo '<tr>';
                echo '<td>' . ($id++) . '</td>';
                echo '<td>' . esc_html($item['Name']) . '</td>';
                echo '<td>' . esc_html($item['Engine']) . '</td>';
                echo '<td>' . esc_html($item['Rows']) . '</td>';
                echo '<td>' . esc_html($item['Data_length']) . '</td>';
                echo '<td>' . esc_html($item['Index_length']) . '</td>';
                echo '<td>' . esc_html($item['Data_free']) . '</td>';
                echo '<td>' . esc_html($item['Auto_increment']) . '</td>';
                echo '<td>' . esc_html($item['Collation']) . '</td>';
                echo '<td>' . (str_replace(' ', '<br>', $item['Create_time'])) . '</td>';
                echo '<td>' . (str_replace(' ', '<br>', $item['Update_time'])) . '</td>';
                echo '<td>' . esc_html($item['notice']) . '</td>';
                echo '</tr>';
            }
            ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <br class="clear">
        </div>
    </form>
</div>

<script>

</script>